Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006960TestLinkGUIpublic2015-02-19 13:032015-09-19 08:49
ReporterReinhard Borek 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
Platformx86-64OSWindowsOS Version8, Server 2008 R
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0006960: Setup parameter for height and width of execution notes editor (AFTER EXEC NOTES HAS BEEN CREATED)
DescriptionThe execution notes editor in the separate in the separate window opened
using the button in the execution list in Execute Tests is relatively small.

Setup parameter for setting height and width of execution notes editor in the config.inc.php similar the parameter for text_editor are useful.
Steps To Reproducenot neccessary
Additional Informationnot neccessary
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome, Internet Browser
PHP Version5.6.3
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files? file icon config.inc.php [^] (68,286 bytes) 2015-02-20 07:58
? file icon custom_config.inc.php [^] (10,307 bytes) 2015-02-20 07:58
? file icon execSetResults.php [^] (65,593 bytes) 2015-02-20 07:58
png file icon 2015-02-20 09_02_06-Execution Notes.png [^] (26,986 bytes) 2015-02-20 08:03


png file icon 2015-02-20 12_49_07-TestLink 1.9.13 [DEV] (Stormbringer).png [^] (52,046 bytes) 2015-02-20 11:50

- Relationships
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0022748)
fman (administrator)
2015-02-19 19:23

config already available, but not used

example
$tlCfg->gui->text_editor['execution'] = array('type' => 'none',
                                              'cols' => 80, 'rows' => 10);

quick fix on exectSetResults.php
INSTEAD OF
// Magic numbers that can be determined by trial and error
      $editors[$tcase_id]=$of->CreateHTML(10,60);

// Magic numbers that can be determined by trial and error
      $cols = intval(isset($editorCfg['cols']) ? $editorCfg['cols'] : 60);
      $rows = intval(isset($editorCfg['rows']) ? $editorCfg['rows'] : 60);
      $editors[$tcase_id]=$of->CreateHTML($rows,$cols);


will be commited in near future
(0022749)
fman (administrator)
2015-02-19 19:23

please test and provide feedback
(0022752)
Reinhard Borek (reporter)
2015-02-20 08:06

I did the changes in the exectSetResults.php like you suggested and test it with various values. Nothing happens. The size of editor didn't change.

For your information I uploaded the configs, the execSetResults.php and a screenshot.

By the way: How can I change/correct the description of this issue?
(0022754)
fman (administrator)
2015-02-20 09:11

My fault: this affects the size of execution notes on the exec screen
Please next time highlight the important details

>> By the way: How can I change/correct the description of this issue?
Reporter can't.
You can add a note with more info
(0022755)
Reinhard Borek (reporter)
2015-02-20 09:58

Okay. But the changes have not an effect on size of execution notes on the exec screen too.
(0022756)
fman (administrator)
2015-02-20 10:30

regarding note 22775
I've tested before providing solution and worked OK.
delete all file on template_c and retest
(0022758)
Reinhard Borek (reporter)
2015-02-20 11:57

regarding note 0022756
I'm sorry. Your solution works perfect also without delete files on dir template_c.
But I mean and looked only on - I don't know this called correctly - the execution notes viewer (please look at the new screenshot).
Our use is: We execute tests remote using TestLink's very handy API and TestLink will receive long logs for every execution. So it should very nice if after expand the "notes" in the execution list the viewer is longer.
(0022760)
fman (administrator)
2015-02-20 20:30

now 3 different configurations are possible

$tlCfg->gui->text_editor['execution'] = array( 'type' => 'none');
$tlCfg->gui->text_editor['edit_execution'] = array( 'type' => 'none', 'cols' => 80, 'rows' => 20);
$tlCfg->gui->text_editor['display_execution_notes'] = array('type' => 'none', 'cols' => 80, 'rows' => 20);
(0022761)
fman (administrator)
2015-02-20 20:31

https://gitorious.org/testlink-ga/testlink-code/commits/da69f0ee548171f47c0974e12fe3254aea700c08 [^]
(0022766)
Reinhard Borek (reporter)
2015-02-23 09:54

Thanks, it works.
(0023978)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-02-19 13:03 Reinhard Borek New Issue
2015-02-19 19:23 fman Note Added: 0022748
2015-02-19 19:23 fman QA Team - Task Workflow Status => TBD
2015-02-19 19:23 fman Note Added: 0022749
2015-02-19 19:23 fman Assigned To => fman
2015-02-19 19:23 fman Status new => feedback
2015-02-20 07:58 Reinhard Borek File Added: config.inc.php
2015-02-20 07:58 Reinhard Borek File Added: custom_config.inc.php
2015-02-20 07:58 Reinhard Borek File Added: execSetResults.php
2015-02-20 08:03 Reinhard Borek File Added: 2015-02-20 09_02_06-Execution Notes.png
2015-02-20 08:06 Reinhard Borek Note Added: 0022752
2015-02-20 08:06 Reinhard Borek Status feedback => assigned
2015-02-20 09:11 fman Note Added: 0022754
2015-02-20 09:11 fman Summary Setup parameter for height and width of execution notes editor => Setup parameter for height and width of execution notes editor (AFTER EXEC NOTES HAS BEEN CREATED)
2015-02-20 09:11 fman Description Updated View Revisions
2015-02-20 09:58 Reinhard Borek Note Added: 0022755
2015-02-20 10:30 fman Note Added: 0022756
2015-02-20 11:50 Reinhard Borek File Added: 2015-02-20 12_49_07-TestLink 1.9.13 [DEV] (Stormbringer).png
2015-02-20 11:57 Reinhard Borek Note Added: 0022758
2015-02-20 20:30 fman Note Added: 0022760
2015-02-20 20:31 fman Note Added: 0022761
2015-02-20 20:32 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-02-20 20:32 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-02-20 20:32 fman Status assigned => resolved
2015-02-20 20:32 fman Resolution open => fixed
2015-02-20 20:32 fman Relationship added child of 0006830
2015-02-23 09:54 Reinhard Borek Note Added: 0022766
2015-09-19 08:49 fman Note Added: 0023978
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker